Date of visit: 9.8.2018
Criteria: CGPA 8.5 above No current arrear
Platform: Hackerearth
Duration: 1.30 hrs
Round 1 -Online Test Overview:
There were 30 questions in total with different weightage.It includes 24 MCQ(Apti) , 2 Subjective and 4 programs.All were easy but the time limit of 1.30hrs made it challenging.
MCQs were mostly quantitative aptitudes.
Questions:
MCQ
1)Angle traced between 4.20 in clock.
2)Find the missing number 36,32,30,26,24,__
3)Prefix to infix conversion for a given binary tree.
4)Find the output
#include<stdio.h>
int main()
{
char *s="placement";
printf("%c",*(*&(s));
}
5)Question related to Age Sum problem.
6)Fact about Binary Tree (to find which one is odd from others)
7)Which one is efficient in Binary Tree ?
a)iteration.
b)recursive.
c)both a and b.
d)none of them.
8)Can any function return float value in program ?
9)What is the use of Rewind in file handling?
10)Question related to S.I,C.I,Profit,Gain %.
11)How many combinations can be obtained 4 men and 3 women from 7 men and 4 women?
12)From "LEADING" in which how many combination of words with vowels to be come consecutively can form?
13)Downstream,Upstream problem.
14)Downstream,Upstream problem.
(15 to 20 are also from mentioned area)
Subjective(Descriptive):
1) Guess the number of petrol bunks in chennai and give justification. 6marks
2)Consider that you are building a location tracking mobile app for Parents(to track the school bus in which their children are boarded) and Admin of the school (to track all their buses).
Write the Usecases(Functional,Technical) and design(Client side,server side and Databases).6marks
Programming:
1)Nth sweetest candy
Given an array of sweetness of M candies
The problem is to replace Kth candy with S sweetness and to return the Nth sweetest candy.
Input Description:
1st line-Array with sweetness of candies
2nd line-Number of Testcases
3rd line-K(The position of candy to be replaced) S(sweetness value) N(the value to be returned after sorting)
Sample Input:
[5,3,8,1,4,2]
1
4 6 3
Output:
1
Explanation:
After replacing the 4th candy with sweetness as 6,the array becomes
[5,3,8,6,4,2]
Candy order based on sweetness in decreasing order:
Candy 3(arr[2])-8
Candy 4(arr[3])-6
Candy 1(arr[0])-5
Candy 5(arr[4])-4
Candy 2(arr[1])-3
Candy 6(arr[5])-2
Hence the 3rd sweetest candy is 1
2)Negatives
For given N.Consider an array of length N with values 1,2,3.....N.
Return whether the negation of M=math.floor(N/2) value will make the sum of array to 0.
Sample Input:
3
output:
No
Explanation:
Since N=3 the array will be arr[]={1,2,3}
Maximum number of negatives allowed,M=floor(3/2)=1
So the array can be modified as {1,-2,3} or {1,2,-3} or {-1,2,3}
But the sum of none of the arrays is 0
Hence the output is No.
------------
Sample Input:
4
output:
Yes
Explanation:
The array here will be arr[]={1,2,3,4}
Maximum number of negatives allowed,M=floor(4/2)=2
Modifying array to {1,-2,-3,4} or {-1,2,3,-4} results in sum= 0
Hence the output is Yes
Round 2-Written Test:
It consists of 8 questions that were to be answered in 1hr.
Out of 8 questions:
2 were to perform Linked list operations ( Recursive deletion based on the comparison with successive nodes )
2 were based on Dynamic programming
https://www.geeksforgeeks.org/minimum-number-of-jumps-to-reach-end-of-a-given-array/
https://www.geeksforgeeks.org/find-the-minimum-cost-to-reach-a-destination-where-every-station-is-connected-in-one-direction/
2 were based on Tree concept(binary,n-ary tree)
1 question was from MySQL (Query to perform joins for given tables)
1 was subjective(Defining requirements and usecases for School Library management system)
Criteria: CGPA 8.5 above No current arrear
Platform: Hackerearth
Duration: 1.30 hrs
Round 1 -Online Test Overview:
There were 30 questions in total with different weightage.It includes 24 MCQ(Apti) , 2 Subjective and 4 programs.All were easy but the time limit of 1.30hrs made it challenging.
MCQs were mostly quantitative aptitudes.
Questions:
MCQ
1)Angle traced between 4.20 in clock.
2)Find the missing number 36,32,30,26,24,__
3)Prefix to infix conversion for a given binary tree.
4)Find the output
#include<stdio.h>
int main()
{
char *s="placement";
printf("%c",*(*&(s));
}
5)Question related to Age Sum problem.
6)Fact about Binary Tree (to find which one is odd from others)
7)Which one is efficient in Binary Tree ?
a)iteration.
b)recursive.
c)both a and b.
d)none of them.
8)Can any function return float value in program ?
9)What is the use of Rewind in file handling?
10)Question related to S.I,C.I,Profit,Gain %.
11)How many combinations can be obtained 4 men and 3 women from 7 men and 4 women?
12)From "LEADING" in which how many combination of words with vowels to be come consecutively can form?
13)Downstream,Upstream problem.
14)Downstream,Upstream problem.
(15 to 20 are also from mentioned area)
Subjective(Descriptive):
1) Guess the number of petrol bunks in chennai and give justification. 6marks
2)Consider that you are building a location tracking mobile app for Parents(to track the school bus in which their children are boarded) and Admin of the school (to track all their buses).
Write the Usecases(Functional,Technical) and design(Client side,server side and Databases).6marks
Programming:
1)Nth sweetest candy
Given an array of sweetness of M candies
The problem is to replace Kth candy with S sweetness and to return the Nth sweetest candy.
Input Description:
1st line-Array with sweetness of candies
2nd line-Number of Testcases
3rd line-K(The position of candy to be replaced) S(sweetness value) N(the value to be returned after sorting)
Sample Input:
[5,3,8,1,4,2]
1
4 6 3
Output:
1
Explanation:
After replacing the 4th candy with sweetness as 6,the array becomes
[5,3,8,6,4,2]
Candy order based on sweetness in decreasing order:
Candy 3(arr[2])-8
Candy 4(arr[3])-6
Candy 1(arr[0])-5
Candy 5(arr[4])-4
Candy 2(arr[1])-3
Candy 6(arr[5])-2
Hence the 3rd sweetest candy is 1
2)Negatives
For given N.Consider an array of length N with values 1,2,3.....N.
Return whether the negation of M=math.floor(N/2) value will make the sum of array to 0.
Sample Input:
3
output:
No
Explanation:
Since N=3 the array will be arr[]={1,2,3}
Maximum number of negatives allowed,M=floor(3/2)=1
So the array can be modified as {1,-2,3} or {1,2,-3} or {-1,2,3}
But the sum of none of the arrays is 0
Hence the output is No.
------------
Sample Input:
4
output:
Yes
Explanation:
The array here will be arr[]={1,2,3,4}
Maximum number of negatives allowed,M=floor(4/2)=2
Modifying array to {1,-2,-3,4} or {-1,2,3,-4} results in sum= 0
Hence the output is Yes
Round 2-Written Test:
It consists of 8 questions that were to be answered in 1hr.
Out of 8 questions:
2 were to perform Linked list operations ( Recursive deletion based on the comparison with successive nodes )
2 were based on Dynamic programming
https://www.geeksforgeeks.org/minimum-number-of-jumps-to-reach-end-of-a-given-array/
https://www.geeksforgeeks.org/find-the-minimum-cost-to-reach-a-destination-where-every-station-is-connected-in-one-direction/
2 were based on Tree concept(binary,n-ary tree)
1 question was from MySQL (Query to perform joins for given tables)
1 was subjective(Defining requirements and usecases for School Library management system)
The Community-Driven Education is the best to help us and provide great results. The Project Ownership Where it Belongs is amazing and I like that you shared this post for us to know about these ideas. Also from PSE-Strata Cheat Sheet I realize that it is more helpful for us.
ReplyDelete